=== debian/changelog ===
ros-foxy-rosbag2-cpp (0.3.11-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.3.10-1focal) focal; urgency=high

  * Check & create database dirs before writing bags (#1133 <https://github.com/ros2/rosbag2/issues/1133>)
  * Contributors: Homalozoa X

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.3.9-1focal) focal; urgency=high

  * Enable sanitizers only if code actually can run (#572 <https://github.com/ros2/rosbag2/issues/572>) (#953 <https://github.com/ros2/rosbag2/issues/953>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 03 Feb 2022 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.3.8-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Jul 2021 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.3.7-1focal) focal; urgency=high

  * [foxy backport] Fix --topics flag for ros2 bag play being ignored for all bags after the first one (#619 <https://github.com/ros2/rosbag2/issues/619>) (#654 <https://github.com/ros2/rosbag2/issues/654>)
  * Contributors: Aleksandr Rozhdestvenskii

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 15 Feb 2021 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.3.6-1focal) focal; urgency=high

  * Mutex around writer access in recorder (#491 <https://github.com/ros2/rosbag2/issues/491>) (#575 <https://github.com/ros2/rosbag2/issues/575>)
  * Update maintainer list for Foxy (#551 <https://github.com/ros2/rosbag2/issues/551>)
  * Contributors: Michael Jeronimo, Patrick Spieler

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 05 Jan 2021 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.3.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 31 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.3.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.3.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.3.2-1focal) focal; urgency=high

  * Add user provided split size to error (#430 <https://github.com/ros2/rosbag2/issues/430>)
    * Add user provided split size to error
    Signed-off-by: Anas Abou Allaban <mailto:aabouallaban@pm.me>
  * Make split size error clearer (#428 <https://github.com/ros2/rosbag2/issues/428>)
    Signed-off-by: Anas Abou Allaban <mailto:aabouallaban@pm.me>
  * Contributors: Anas Abou Allaban

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.3.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.3.0-1focal) focal; urgency=high

  * Fix playback of compressed bagfiles (#417 <https://github.com/ros2/rosbag2/issues/417>)
  * Export targets (#403 <https://github.com/ros2/rosbag2/issues/403>)
  * Contributors: Emerson Knapp, Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.2.8-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.2.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.2.6-1focal) focal; urgency=high

  * Correct usage of rcpputils::SharedLibrary loading. (#400 <https://github.com/ros2/rosbag2/issues/400>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-rosbag2-cpp (0.2.5-1focal) focal; urgency=high

  * Don't fail build if lsan isn't available (#397 <https://github.com/ros2/rosbag2/issues/397>)
  * Expose BaseReaderInterface's BagMetadata  (#377 <https://github.com/ros2/rosbag2/issues/377>)
  * Expose topic filter to command line (addresses #342 <https://github.com/ros2/rosbag2/issues/342>) (#363 <https://github.com/ros2/rosbag2/issues/363>)
  * Deduplicate code in SequentialCompressionReader (#372 <https://github.com/ros2/rosbag2/issues/372>)
  * rename rosidl_generator_c namespace to rosidl_runtime_c (#368 <https://github.com/ros2/rosbag2/issues/368>)
  * rename rosidl_generator_cpp namespace to rosidl_runtime_cpp (#366 <https://github.com/ros2/rosbag2/issues/366>)
  * added rosidl_runtime c and cpp depencencies (#310 <https://github.com/ros2/rosbag2/issues/310>)
  * Replace poco dependency by rcutils (#322 <https://github.com/ros2/rosbag2/issues/322>)
  * resolve relative file paths (#345 <https://github.com/ros2/rosbag2/issues/345>)
  * Add filter for reading selective topics (#302 <https://github.com/ros2/rosbag2/issues/302>)
  * default max bag size to 0 (#344 <https://github.com/ros2/rosbag2/issues/344>)
  * Transaction based sqlite3 inserts (#225 <https://github.com/ros2/rosbag2/issues/225>)
  * Add QoS to metadata (re-do #330 <https://github.com/ros2/rosbag2/issues/330>) (#335 <https://github.com/ros2/rosbag2/issues/335>)
  * Revert "Add QoS profiles field to metadata struct and provide serialization utilities (#330 <https://github.com/ros2/rosbag2/issues/330>)" (#334 <https://github.com/ros2/rosbag2/issues/334>)
  * Add QoS profiles field to metadata struct and provide serialization utilities (#330 <https://github.com/ros2/rosbag2/issues/330>)
  * Replace rcutils_get_file_size with rcpputils::fs::file_size (#291 <https://github.com/ros2/rosbag2/issues/291>)
  * code style only: wrap after open parenthesis if not in one line (#280 <https://github.com/ros2/rosbag2/issues/280>)
  * Fix ros2 bag play on split bags (#268 <https://github.com/ros2/rosbag2/issues/268>)
  * [compression] Add SequentialCompressionWriter (#260 <https://github.com/ros2/rosbag2/issues/260>)
  * Add unit test for SequentialReader when metadata file does not exist (#254 <https://github.com/ros2/rosbag2/issues/254>)

