=== debian/control ===
Source: ros-foxy-rosbag2-cpp
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-index-cpp, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-pluginlib, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-rosbag2-storage, ros-foxy-rosbag2-test-common <!nocheck>, ros-foxy-rosidl-runtime-c, ros-foxy-rosidl-runtime-cpp, ros-foxy-rosidl-typesupport-cpp, ros-foxy-rosidl-typesupport-introspection-cpp, ros-foxy-shared-queues-vendor, ros-foxy-test-msgs <!nocheck>, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rosbag2-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-index-cpp, ros-foxy-pluginlib, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-rosbag2-storage, ros-foxy-rosidl-runtime-c, ros-foxy-rosidl-runtime-cpp, ros-foxy-rosidl-typesupport-cpp, ros-foxy-rosidl-typesupport-introspection-cpp, ros-foxy-shared-queues-vendor, ros-foxy-ros-workspace
Description: C++ ROSBag2 client library
